Skip to main content
POST
/
media
/
upload
/
{uploadId}
/
complete
Complete media upload
curl --request POST \
  --url https://api.woopsocial.com/v1/media/upload/{uploadId}/complete \
  --header 'Authorization: Bearer <token>'
{
  "uploadId": "<string>",
  "status": "INITIATED",
  "mediaId": "<string>",
  "failureCode": "<string>",
  "failureMessage": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uploadId
string
required

Application-level media upload identifier.

Response

200 - application/json

Upload completion accepted.

uploadId
string
required

Application-level media upload identifier.

status
enum<string>
required
Available options:
INITIATED,
UPLOADED,
READY,
FAILED,
ABORTED
mediaId
string
failureCode
string
failureMessage
string